## maryam 2.5.0

=== Makefile ===

first: help


# ------------------------------------------------------------------------------
# Build

install:  ## Install package
	python3 setup.py install


build:  ## Build package by sdist
	python3 setup.py sdist


build-default:  ## Build package by build (recommended)
	python3 -m build


uninstall:  ## Uninstall package
	pip uninstall maryam


upload-pypi:  ## Upload package to PyPI
	python3 -m twine upload dist/*.tar.gz


upload-test:  ## Upload package to test PyPI
	python3 -m twine upload --repository test dist/*.tar.gz


# ------------------------------------------------------------------------------
# Testing

check:  ## Check linting
	flake8
	isort . --project maryam --check-only --diff
	black . --check


fmt:  ## Format source
	isort . --project maryam
	black .

# ------------------------------------------------------------------------------
# Other

clean:  ## Clean build files
	rm -rf build dist site .pytest_cache .eggs
	find . -type f -name '*.py[co]' -delete
	find . -type d -name __pycache__ -exec rm -rf {} +
	rm -rf *.egg-info
	rm -r docs/build

help:  ## Show this help menu
	@grep -E '^[0-9a-zA-Z_-]+:.*?##.*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?##"; OFS="\t\t"}; {printf "\033[36m%-30s\033[0m %s\n", $$1, ($$2==""?"":$$2)}'

=== debian/changelog ===
maryam (2.5.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:02:54 +0200

maryam (2.5.0-0kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add Vcs-
  [ Arnaud Rebillout ]
  * Update watch file
  * Fix watch file
  [ Steev Klimaszewski ]
  * Update standards version to 4.6.1, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 08 Nov 2022 19:56:08 -0600

maryam (2.5.0-0kali1) kali-dev; urgency=medium

  [ Saeed Dehqan ]
  * source package automatically created by stdeb 0.10.0

  [ Sophie Brun ]
  * Update debian/* for Kali
  * Use buildsystem=pybuild
  * Add debian/py3dist-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 17 Sep 2021 11:46:43 +0200

=== debian/control ===
Source: maryam
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.1
Homepage: https://github.com/saeeddhqan/Maryam

Package: maryam
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: OWASP Maryam is a modular/optional open source framework bas
 This package contains the OWASP Maryam, a modular/optional open source
 framework based on OSINT and data gathering. Maryam is written in Python
 programming language and it’s designed to provide a powerful environment to
 harvest data from open sources and search engines and collect data quickly and
 thoroughly.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

#override_dh_auto_clean:
#	python3 setup.py clean -a
#	find . -name \*.pyc -exec rm {} \;
#
#override_dh_auto_build:
#	python3 setup.py build --force
#
#override_dh_auto_install:
#	python3 setup.py install --force --root=debian/python3-maryam --no-compile -O0 --install-layout=deb

=== debian/tests/control ===
Test-Command: maryam -h && maryam -e show modules
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/saeeddhqan/Maryam/tags \
    (?:.*?/)?[vV]?\.?@ANY_VERSION@@ARCHIVE_EXT@

## maryam 2.5.3

=== debian/changelog ===
maryam (2.5.3-0kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Sophie Brun ]
  * New upstream version 2.5.3
  * Add the patch Add Use-raw-string-for-regex-pattern.patch

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Jul 2024 16:38:53 +0200

maryam (2.5.3-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Sophie Brun ]
  * New upstream version 2.5.3

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Jul 2024 16:16:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: maryam
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offenseive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
@@ -10,6 +10,8 @@
                python3-setuptools
 Standards-Version: 4.6.1
 Homepage: https://github.com/saeeddhqan/Maryam
+Vcs-Git: https://gitlab.com/kalilinux/packages/maryam.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/maryam
 
 Package: maryam
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 #	python3 setup.py build --force
 #
 #override_dh_auto_install:
-#	python3 setup.py install --force --root=debian/python3-maryam --no-compile -O0 --install-layout=deb  
+#	python3 setup.py install --force --root=debian/python3-maryam --no-compile -O0 --install-layout=deb
